
Redmine - Patch #24296

Add tablename to siblings query to prevent AmbiguousColumn errors

2016-11-08 13:37 - Danil Tashkinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.2.5   

Description

Problem

I creating a plugin that show siblings for issue. And when I try to get "visible" siblings for issue I get the next error:

ActionView::Template::Error (PG::AmbiguousColumn: ERROR:  column reference "id" is ambiguous

LINE 1: ...ot_id" = $1 AND "issues"."parent_id" IS NULL AND (id <> 2) A...

                                                             ^

: SELECT "issues".* FROM "issues" INNER JOIN "projects" ON "projects"."id" = "issues"."project_id"

 WHERE "issues"."root_id" = $1 AND "issues"."parent_id" IS NULL AND (id <> 2) AND (projects.status

 <> 9 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracki

ng'))  ORDER BY "issues"."lft" ASC):

 This error can be reproduced in console by typing:

Issue.last.siblings.visible

 

Environment

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-darwin16]

  Rails version                  4.2.7.1

  Environment                    development

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.9.4

  Git                            2.10.1

  Filesystem

 

Fix

Adding tablename to siblings query fix the problem.

Associated revisions

Revision 15958 - 2016-11-18 09:46 - Jean-Philippe Lang

Add tablename to siblings query (#24296).

Patch by Danil Tashkinov.

Revision 16005 - 2016-11-26 10:05 - Jean-Philippe Lang

Merged r15958 (#24296).

Revision 16006 - 2016-11-26 10:05 - Jean-Philippe Lang

Merged r15958 (#24296).

History

#1 - 2016-11-16 04:56 - Go MAEDA

- Target version set to Candidate for next minor release

2025-05-12 1/2



#2 - 2016-11-18 09:46 - Jean-Philippe Lang

- Subject changed from Add tablename to siblings query to Add tablename to siblings query to prevent AmbiguousColumn errors

- Category set to Code cleanup/refactoring

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.2.5

Patch committed, thanks.

#3 - 2016-11-18 09:46 - Jean-Philippe Lang

- Status changed from New to Resolved

#4 - 2016-11-26 10:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

siblings.diff 521 Bytes 2016-11-08 Danil Tashkinov
